const uint16 kRuleIdTable[] = {
    27,  // Functional "^(助詞|助動詞|動詞,非自立|名詞,非自立|形容詞,非自立|動詞,接尾|名詞,接尾|形容詞,接尾)"
  1743,  // Unknown "名詞,サ変接続"
  1825,  // FirstName "名詞,固有名詞,人名,名"
  1826,  // LastName "名詞,固有名詞,人名,姓"
  1936,  // Number "名詞,数,アラビア数字"
  1938,  // KanjiNumber "名詞,数,漢数字"
  2494,  // WeakCompoundNounPrefix "接頭詞,名詞接続,"
  2490,  // WeakCompoundVerbPrefix "接頭詞,動詞接続,"
     2,  // WeakCompoundFillerPrefix "フィラー,"
  1743,  // WeakCompoundNounSuffix "^名詞,(サ変接続|ナイ形容詞語幹|一般|副詞可能|形容詞語幹)"
   562,  // WeakCompoundVerbSuffix "動詞,自立"
   265,  // AcceptableParticleAtBeginOfSegment "^助詞,*,*,*,*,*,(が|で|と|に|にて|の|へ|より|も|と|から|は|や)$"
  2533,  // JapanesePunctuations "記号,(句点|読点)"
  2535,  // OpenBracket "記号,括弧開"
  2534,  // CloseBracket "記号,括弧閉"
  2532,  // GeneralSymbol "記号,一般,"
  2550,  // Zipcode "特殊,郵便番号"
  2551,  // IsolatedWord "特殊,短縮よみ"
  2552,  // SuggestOnlyWord "特殊,サジェストのみ"
   620,  // ContentWordWithConjugation "^(動詞,自立,*,*,五段|動詞,自立,*,*,一段|形容詞,自立)"
    27,  // SuffixWord "^(助詞|助動詞|動詞,非自立|動詞,接尾|形容詞,非自立|形容詞,接尾|動詞,自立,*,*,サ変・スル)"
  1905,  // CounterSuffixWord "名詞,接尾,助数詞"
  1823,  // UniqueNoun "^名詞,固有名詞"
  1751,  // GeneralNoun "^名詞,一般,*,*,*,*,*$"
  1802,  // Pronoun "^名詞,代名詞,"
  1743,  // ContentNoun "^名詞,(一般|固有名詞|副詞可能|サ変接続),"
  2494,  // NounPrefix "^接頭詞,名詞接続,"
  1936,  // EOSSymbol "^(記号,(句点|読点|アルファベット|一般|括弧開|括弧閉))|^(名詞,数,(アラビア数字|区切り文字))"
    12,  // Adverb "^副詞,"
   265,  // AdverbSegmentSuffix "^助詞,*,*,*,*,*,(から|で|と|に|にて|の|へ|を)$"
   262,  // ParallelMarker "^助詞,並立助詞"
    32,  // TeSuffix "(助詞,接続助詞,*,*,*,*,(て|ちゃ)|助詞,並列助詞,*,*,*,*,たり|助詞,各助詞,連語,*,*,*,て|助動詞,*,*,*,特殊・タ,|動詞,非自立,*,*,一段,*,てる|助動詞,*,*,*,下二・タ行,連用形,つ|動詞,非自立,*,*,五段・カ行イ音便,*,とく|動詞,非自立,*,*,五段・カ行促音便,*,てく|動詞,非自立,*,*,五段・ラ行,*,(たる|とる)|動詞,非自立,*,*,五段・ワ行促音便,*,(ちゃう|ちまう)|動詞,非自立,*,*,一段,連用形,てる)"
    27,  // VerbSuffix "(^動詞,非自立|^助詞,接続助詞|^助動詞)"
   692,  // KagyoTaConnectionVerb "^動詞,(非自立|自立),*,*,五段・カ行(促音便|イ音便),連用タ接続"
   795,  // WagyoRenyoConnectionVerb "^動詞,(非自立|自立),*,*,五段・ワ行促音便,連用形"
  static_cast<uint16>(0xFFFF),
};
namespace {
// Functional "^(助詞|助動詞|動詞,非自立|名詞,非自立|形容詞,非自立|動詞,接尾|名詞,接尾|形容詞,接尾)"
const ::mozc::dictionary::POSMatcher::Range kRangeTable_Functional[] = {
  {   27,  561 },
  {  823, 1742 },
  { 1839, 1933 },
  { 1949, 2284 },
  { 2367, 2484 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// Unknown "名詞,サ変接続"
const ::mozc::dictionary::POSMatcher::Range kRangeTable_Unknown[] = {
  { 1743, 1749 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// FirstName "名詞,固有名詞,人名,名"
const ::mozc::dictionary::POSMatcher::Range kRangeTable_FirstName[] = {
  { 1825, 1825 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// LastName "名詞,固有名詞,人名,姓"
const ::mozc::dictionary::POSMatcher::Range kRangeTable_LastName[] = {
  { 1826, 1826 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// Number "名詞,数,アラビア数字"
const ::mozc::dictionary::POSMatcher::Range kRangeTable_Number[] = {
  { 1936, 1936 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// KanjiNumber "名詞,数,漢数字"
const ::mozc::dictionary::POSMatcher::Range kRangeTable_KanjiNumber[] = {
  { 1938, 1947 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// WeakCompoundNounPrefix "接頭詞,名詞接続,"
const ::mozc::dictionary::POSMatcher::Range kRangeTable_WeakCompoundNounPrefix[] = {
  { 2494, 2527 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// WeakCompoundVerbPrefix "接頭詞,動詞接続,"
const ::mozc::dictionary::POSMatcher::Range kRangeTable_WeakCompoundVerbPrefix[] = {
  { 2490, 2493 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// WeakCompoundFillerPrefix "フィラー,"
const ::mozc::dictionary::POSMatcher::Range kRangeTable_WeakCompoundFillerPrefix[] = {
  {    2,   11 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// WeakCompoundNounSuffix "^名詞,(サ変接続|ナイ形容詞語幹|一般|副詞可能|形容詞語幹)"
const ::mozc::dictionary::POSMatcher::Range kRangeTable_WeakCompoundNounSuffix[] = {
  { 1743, 1801 },
  { 1812, 1821 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// WeakCompoundVerbSuffix "動詞,自立"
const ::mozc::dictionary::POSMatcher::Range kRangeTable_WeakCompoundVerbSuffix[] = {
  {  562,  822 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// AcceptableParticleAtBeginOfSegment "^助詞,*,*,*,*,*,(が|で|と|に|にて|の|へ|より|も|と|から|は|や)$"
const ::mozc::dictionary::POSMatcher::Range kRangeTable_AcceptableParticleAtBeginOfSegment[] = {
  {  265,  265 },
  {  268,  268 },
  {  277,  279 },
  {  320,  321 },
  {  324,  324 },
  {  326,  326 },
  {  340,  341 },
  {  354,  354 },
  {  358,  366 },
  {  369,  369 },
  {  378,  378 },
  {  380,  380 },
  {  390,  390 },
  {  405,  405 },
  {  408,  408 },
  {  412,  412 },
  {  418,  418 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// JapanesePunctuations "記号,(句点|読点)"
const ::mozc::dictionary::POSMatcher::Range kRangeTable_JapanesePunctuations[] = {
  { 2533, 2533 },
  { 2536, 2536 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// OpenBracket "記号,括弧開"
const ::mozc::dictionary::POSMatcher::Range kRangeTable_OpenBracket[] = {
  { 2535, 2535 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// CloseBracket "記号,括弧閉"
const ::mozc::dictionary::POSMatcher::Range kRangeTable_CloseBracket[] = {
  { 2534, 2534 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// GeneralSymbol "記号,一般,"
const ::mozc::dictionary::POSMatcher::Range kRangeTable_GeneralSymbol[] = {
  { 2532, 2532 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// Zipcode "特殊,郵便番号"
const ::mozc::dictionary::POSMatcher::Range kRangeTable_Zipcode[] = {
  { 2550, 2550 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// IsolatedWord "特殊,短縮よみ"
const ::mozc::dictionary::POSMatcher::Range kRangeTable_IsolatedWord[] = {
  { 2551, 2551 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// SuggestOnlyWord "特殊,サジェストのみ"
const ::mozc::dictionary::POSMatcher::Range kRangeTable_SuggestOnlyWord[] = {
  { 2552, 2552 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// ContentWordWithConjugation "^(動詞,自立,*,*,五段|動詞,自立,*,*,一段|形容詞,自立)"
const ::mozc::dictionary::POSMatcher::Range kRangeTable_ContentWordWithConjugation[] = {
  {  620,  808 },
  { 2285, 2366 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// SuffixWord "^(助詞|助動詞|動詞,非自立|動詞,接尾|形容詞,非自立|形容詞,接尾|動詞,自立,*,*,サ変・スル)"
const ::mozc::dictionary::POSMatcher::Range kRangeTable_SuffixWord[] = {
  {   27,  561 },
  {  602,  613 },
  {  823, 1742 },
  { 2090, 2284 },
  { 2367, 2484 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// CounterSuffixWord "名詞,接尾,助数詞"
const ::mozc::dictionary::POSMatcher::Range kRangeTable_CounterSuffixWord[] = {
  { 1905, 1910 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// UniqueNoun "^名詞,固有名詞"
const ::mozc::dictionary::POSMatcher::Range kRangeTable_UniqueNoun[] = {
  { 1823, 1832 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// GeneralNoun "^名詞,一般,*,*,*,*,*$"
const ::mozc::dictionary::POSMatcher::Range kRangeTable_GeneralNoun[] = {
  { 1751, 1801 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// Pronoun "^名詞,代名詞,"
const ::mozc::dictionary::POSMatcher::Range kRangeTable_Pronoun[] = {
  { 1802, 1811 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// ContentNoun "^名詞,(一般|固有名詞|副詞可能|サ変接続),"
const ::mozc::dictionary::POSMatcher::Range kRangeTable_ContentNoun[] = {
  { 1743, 1749 },
  { 1751, 1801 },
  { 1812, 1821 },
  { 1823, 1832 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// NounPrefix "^接頭詞,名詞接続,"
const ::mozc::dictionary::POSMatcher::Range kRangeTable_NounPrefix[] = {
  { 2494, 2527 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// EOSSymbol "^(記号,(句点|読点|アルファベット|一般|括弧開|括弧閉))|^(名詞,数,(アラビア数字|区切り文字))"
const ::mozc::dictionary::POSMatcher::Range kRangeTable_EOSSymbol[] = {
  { 1936, 1937 },
  { 2531, 2536 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// Adverb "^副詞,"
const ::mozc::dictionary::POSMatcher::Range kRangeTable_Adverb[] = {
  {   12,   26 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// AdverbSegmentSuffix "^助詞,*,*,*,*,*,(から|で|と|に|にて|の|へ|を)$"
const ::mozc::dictionary::POSMatcher::Range kRangeTable_AdverbSegmentSuffix[] = {
  {  265,  265 },
  {  320,  321 },
  {  324,  324 },
  {  340,  341 },
  {  358,  359 },
  {  361,  366 },
  {  370,  370 },
  {  378,  378 },
  {  380,  380 },
  {  390,  390 },
  {  405,  405 },
  {  408,  408 },
  {  418,  418 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// ParallelMarker "^助詞,並立助詞"
const ::mozc::dictionary::POSMatcher::Range kRangeTable_ParallelMarker[] = {
  {  262,  270 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// TeSuffix "(助詞,接続助詞,*,*,*,*,(て|ちゃ)|助詞,並列助詞,*,*,*,*,たり|助詞,各助詞,連語,*,*,*,て|助動詞,*,*,*,特殊・タ,|動詞,非自立,*,*,一段,*,てる|助動詞,*,*,*,下二・タ行,連用形,つ|動詞,非自立,*,*,五段・カ行イ音便,*,とく|動詞,非自立,*,*,五段・カ行促音便,*,てく|動詞,非自立,*,*,五段・ラ行,*,(たる|とる)|動詞,非自立,*,*,五段・ワ行促音便,*,(ちゃう|ちまう)|動詞,非自立,*,*,一段,連用形,てる)"
const ::mozc::dictionary::POSMatcher::Range kRangeTable_TeSuffix[] = {
  {   32,   32 },
  {  137,  142 },
  {  336,  337 },
  {  339,  339 },
  {  857,  857 },
  {  892,  892 },
  {  927,  927 },
  {  962,  962 },
  {  997,  997 },
  { 1032, 1032 },
  { 1067, 1067 },
  { 1102, 1102 },
  { 1136, 1136 },
  { 1172, 1172 },
  { 1184, 1184 },
  { 1196, 1196 },
  { 1208, 1208 },
  { 1220, 1220 },
  { 1232, 1232 },
  { 1244, 1244 },
  { 1256, 1256 },
  { 1268, 1268 },
  { 1273, 1273 },
  { 1279, 1279 },
  { 1284, 1284 },
  { 1289, 1289 },
  { 1294, 1294 },
  { 1299, 1299 },
  { 1304, 1304 },
  { 1397, 1398 },
  { 1416, 1417 },
  { 1436, 1437 },
  { 1455, 1456 },
  { 1472, 1473 },
  { 1491, 1492 },
  { 1510, 1511 },
  { 1529, 1530 },
  { 1548, 1549 },
  { 1567, 1568 },
  { 1586, 1587 },
  { 1665, 1666 },
  { 1675, 1676 },
  { 1686, 1687 },
  { 1698, 1699 },
  { 1709, 1710 },
  { 1720, 1721 },
  { 1732, 1733 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// VerbSuffix "(^動詞,非自立|^助詞,接続助詞|^助動詞)"
const ::mozc::dictionary::POSMatcher::Range kRangeTable_VerbSuffix[] = {
  {   27,  261 },
  {  323,  358 },
  {  823, 1742 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// KagyoTaConnectionVerb "^動詞,(非自立|自立),*,*,五段・カ行(促音便|イ音便),連用タ接続"
const ::mozc::dictionary::POSMatcher::Range kRangeTable_KagyoTaConnectionVerb[] = {
  {  692,  692 },
  {  700,  700 },
  { 1242, 1253 },
  { 1297, 1301 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
// WagyoRenyoConnectionVerb "^動詞,(非自立|自立),*,*,五段・ワ行促音便,連用形"
const ::mozc::dictionary::POSMatcher::Range kRangeTable_WagyoRenyoConnectionVerb[] = {
  {  795,  798 },
  { 1727, 1737 },
  { static_cast<uint16>(0xFFFF), static_cast<uint16>(0xFFFF) },
};
}  // namespace
const ::mozc::dictionary::POSMatcher::Range *const kRangeTables[36] = {
  kRangeTable_Functional,
  kRangeTable_Unknown,
  kRangeTable_FirstName,
  kRangeTable_LastName,
  kRangeTable_Number,
  kRangeTable_KanjiNumber,
  kRangeTable_WeakCompoundNounPrefix,
  kRangeTable_WeakCompoundVerbPrefix,
  kRangeTable_WeakCompoundFillerPrefix,
  kRangeTable_WeakCompoundNounSuffix,
  kRangeTable_WeakCompoundVerbSuffix,
  kRangeTable_AcceptableParticleAtBeginOfSegment,
  kRangeTable_JapanesePunctuations,
  kRangeTable_OpenBracket,
  kRangeTable_CloseBracket,
  kRangeTable_GeneralSymbol,
  kRangeTable_Zipcode,
  kRangeTable_IsolatedWord,
  kRangeTable_SuggestOnlyWord,
  kRangeTable_ContentWordWithConjugation,
  kRangeTable_SuffixWord,
  kRangeTable_CounterSuffixWord,
  kRangeTable_UniqueNoun,
  kRangeTable_GeneralNoun,
  kRangeTable_Pronoun,
  kRangeTable_ContentNoun,
  kRangeTable_NounPrefix,
  kRangeTable_EOSSymbol,
  kRangeTable_Adverb,
  kRangeTable_AdverbSegmentSuffix,
  kRangeTable_ParallelMarker,
  kRangeTable_TeSuffix,
  kRangeTable_VerbSuffix,
  kRangeTable_KagyoTaConnectionVerb,
  kRangeTable_WagyoRenyoConnectionVerb,
  NULL,
};
